## org.apache.lucene.search
Class DocIdSet

    java.lang.Object
      org.apache.lucene.search.DocIdSet

Direct Known Subclasses:
  DocIdBitSet, OpenBitSet, SortedVIntList

    public abstract class DocIdSet

extends Object

A DocIdSet contains a set of doc ids. Implementing classes must provide a `DocIdSetIterator` to access the set.

Constructor Summary
`DocIdSet()`

Method Summary
`abstract DocIdSetIterator` `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocIdSet

    public DocIdSet()

Method Detail

### iterator

    public abstract DocIdSetIterator iterator()

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.